package de.tub.mac14;

import java.io.File;
import java.io.IOException;
import java.net.InetAddress;
import java.net.UnknownHostException;
import java.util.logging.Level;
import java.util.logging.Logger;

public class RunDummyTeam {
	public static void main(String[] args) {
		File runningFolder = new File("dummyagents");
		
		ProcessBuilder pb = new ProcessBuilder(System.getProperty("java.home") + File.separator + "bin"
				+ File.separator + "java", "-ea", "-Dcom.sun.management.jmxremote", "-Xss2000k", "-Xmx600M",
				"-DentityExpansionLimit=1000000", "-DelementAttributeLimit=1000000", "-jar", "javaagents-2.1.jar");
		pb.directory(runningFolder);
		// Redirect Console input
		pb.redirectOutput(new File("/dev/null"));

		try {
			final Process p = pb.start();
			Runtime.getRuntime().addShutdownHook(new Thread() {
				@Override
				public void run() {
					p.destroy();
				}
			});
		} catch (IOException ex) {
			Logger.getLogger(RunServer.class.getName()).log(Level.SEVERE, null, ex);
		}

		}
}
